/** \file deriche.hh
    \brief File to compute the deriche of a picture */

/******************************************************/
/* filtre de deriche developpee par Brun Luc */
/* brun@leri.univ-reims.fr */
/******************************************************/
#ifndef __DERICHE__
#define __DERICHE__

#include <math.h>
#include <image.hh>


extern int  open_deriche_deriv(double,char*);
extern void close_deriche_deriv();
extern void init_deriche_deriv(double,const image &);

extern image deriche_deriv();
extern float *deriche_deriv_float(int&,int&);
extern image deriche_deriv_x();
extern float *deriche_deriv_x_float(int&,int&);
extern image deriche_deriv_y();
extern float *deriche_deriv_y_float(int&,int&);
#endif
