/** \file equivalent.hh
    \brief File used to determine if two vertices are equivalent */

#ifndef __EQUIVALENT_HH__
#define __EQUIVALENT_HH__

#include "vertex_data.hh"
#include "border_data.hh"

/** Model class used to determine if two vertices are equivalent */
class equivalent
{
public:
  /// Pure virtual function to know if the two vertices must be merged
  virtual bool lambda(int,vertex,vertex,dart,dart)=0;
};

#endif // __EQUIVALENT_HH__
