#include "tab_bool.hh"

#define This (*this)
#define DECAL 3

static unsigned char masque[8]={1,2,4,8,16,32,64,128};
static unsigned char comp_masque[8]={254,253,251,247,239,223,191,127};

bool tab_bool::operator () (unsigned int i) const
{
  int ind=i>>DECAL;
// cout << "i : " << i << "| ind : " << ind << " ";
  int in=i -(ind <<DECAL);
// cout << "in : " << in << " ( " << masque[in] << " )" << endl;
  return (tab_u_char::operator()(ind) & masque[in]);
}
	
void tab_bool::light(unsigned int i)
{
  int ind=i>>DECAL;
  int in=i -(ind <<DECAL);	  
  This[ind] = (masque[in] | This[ind]);
}

void tab_bool::unlight(unsigned int i)
{
  int ind=i>>DECAL;
  int in=i -(ind <<DECAL);
  This[ind] = (comp_masque[in] & This[ind]);
}

void tab_bool::reinit()
{
  tab_u_char::reinit();
}
