#ifndef __VECTOR_HH__
#define __VECTOR_HH__

#include <stdlib.h>

class E_vect_invalid_index {};

template <class X>
class vect
{
private:
  X* tab;
  size_t size;
public:
  /// initialize size to 0
  vect();
  /// The argument is the size of the vect
  vect(size_t);
  /** The first argument is the size of the vect, the second a value 
      which will fill the vect */
  vect(size_t,const X&);
  ~vect();
  X& operator[](unsigned int)
    throw (E_vect_invalid_index);
  X  operator[](unsigned int) const
    throw (E_vect_invalid_index);;
  /// Return the number of elements  of the vect
  size_t Size();
};
#endif // __VECTOR_HH__
