#ifndef __max_min_1d__HH__
#define __max_min_1d__HH__ 

#include <iostream>
#include <tab_ptr.hh>
#include <tab_dart.hh>

using namespace std;
class max_min
{
public:
  int value;
  int index;
  max_min* left;
  max_min* right;
  max_min(int val,int ind):value(val),index(ind),left(NULL),right(NULL)
  {}
};

class maxi: public max_min
{
private:
  static tab_ptr garbage;
  static int card;
public: 
  friend maxi* alloc_maxi(int,int);
  friend void  delete_maxi(maxi*);
  
  maxi(int val,int ind):max_min(val,ind)
  {}
};

maxi* alloc_maxi(int,int);
void  delete_maxi(maxi*);

class mini: public max_min
{
 private:
  static tab_ptr garbage;
  static int card;
public:
  int begin;
  int end;
  int volume;

  friend mini* alloc_mini(int,int);
  friend void delete_mini(mini*);
  friend mini* alloc_mini(maxi&);

  mini(int val,int ind):max_min(val,ind),begin(ind),end(ind),volume(0)
  {}
  mini(maxi&);
  void set_from_maxi(maxi&);
  void compute_volume(tab_dart&,int);
};

mini* alloc_mini(int,int);
void delete_mini(mini*);
mini* alloc_mini(maxi&);
void remove_max(maxi*,mini*&,tab_dart&,int);

#endif
