#ifndef __WATERFALL__HH__
#define __WATERFALL__HH__

/** \file dynamic_kernel.hh
    \brief simpilication of the partition according to bassin dynamic
     */
#include "kernel.hh"
#include "water_value.hh"

class waterfall : public kernel
{
private:
  water_value* data;
  dart min_altitude(combi_map_priv&,vertex,int&);
  int threshold;
public:
  waterfall(water_value&,int);
  virtual ~waterfall()
  {}
  void compute_kernel(combi_map_priv &map);
  bool continue_computation();
};

#endif
